<!DOCTYPE html>
<html>
<head>
	<meta charset="utf-8">
	<meta name="viewport" content="width=device-width, initial-scale=1">
	<title>Intro to Bootstrap and Simple Styles</title>
	<!-- this is where we need to paste bootstrap connection link -->
	<link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap@4.6.2/dist/css/bootstrap.min.css" integrity="sha384-xOolHFLEh07PJGoPkLv1IbcEPTNtaed2xpHsD9ESMhqIYd0nLMwNLD69Npy4HI+N" crossorigin="anonymous">

</head>

<body class="text-center bg-secondary">
	<div class="bg-primary text-light fixed-top p-1">	
		Nav Bar
	</div>

	<div class="mt-5 text-center text-light">
		<h1>BOOTSTRAP Introduction and Simple Styles</h1>
		<div class="d-none w-25 d-md-inline-block mt-4">
			<img src="https://www.drupal.org/files/project-images/bootstrap-stack.png" class="rounded-circle bg-white img-fluid">
		</div>
	</div>

	<h2 class="text-light mt-5">Bootstrap Color Classes</h2>
	<div class="container-fluid">
		<table class="table table-dark table-bordered">
			<th>
				<tr>
					<th>Text</th>
					<th>Background</th>
					<th>Text Transform</th>

				</tr>
			</th>
			<tbody>
				<tr>
					<td>
						<a href="#" class="text-primary">Primary Link</a>
					</td>
					<td class="bg-primary">
						Primary
					</td>
					<td class="text-lowercase font-weight-bold">LOWERCASE BOLD TEXT</td>
				</tr>
				<tr>
					<td>
						<a href="#" class="text-secondary">Secondary Link</a>
					</td>
					<td class="bg-secondary">
						Secondary
					</td>
					<td class="text-uppercase font-weight-normal">UPPERCASE normal TEXT</td>
				</tr>
				<tr>
					<td>
						<a href="#" class="text-success">Success Link</a>
					</td>
					<td class="bg-success">
						success
					</td>
					<td class="text-capitalize font-weight-light">capitalize light TEXT</td>

				</tr>			
						
					<td>
						<a href="#" class="text-danger">Danger Link</a>
					</td>
					<td class="bg-danger">
						danger
					</td>
					<td>
						<a href="#" class="text-decoration-none font-italic">non-underlined Link</a>
					</td>


				</tr>
				</tr>			
						
					<td>
						<a href="#" class="text-warning">Warning Link</a>
					</td>
					<td class="bg-warning">
						danger
					</td>

				</tr>
				<tr>
					<td>
						<a href="#" class="text-light">Light Link</a>
					</td>
					<td class="bg-light">
						light
					</td>
				</tr>
				<tr>
					<td>
						<a href="#" class="text-dark">Dark Link</a>
					</td>
					<td class="bg-dark">
						dark
					</td>
				</tr>
				<tr>
					<td>
						<a href="#" class="text-muted">Muted Link</a>
					</td>
					<td class="bg-muted">
						muted
					</td>
				</tr>
				<tr>
					<td>
						<a href="#" class="text-success">success Link</a>
					</td>
					<td class="bg-success">
						success
					</td>
				</tr>
			</tbody>

		</table>
	</div>
	<h2 class="text-light"></h2>
	<div>
		<table class="table table-dark table-bordered">
		<thead>
			<tr>
				<th>Border</th>
			</tr>
		</thead>
		<tbody>
			<tr>
				<td>
					<div class="bg-info border rounded">
						Rounded
					</div>
				</td>

			</tr>
			<tr>
				<td>
					<div class="bg-secondary border rounded-cricle">
						Rounded
					</div>
				</td>
				
			</tr>
			<tr>
				<td>
					<div class="bg-warning border rounded-pill">
						Rounded
					</div>
				</td>
				
			</tr>
		</tbody>
	</table>
	</div>



	<!-- best practice to paster scripts at the bottom of the body -->
	<script src="https://cdn.jsdelivr.net/npm/jquery@3.5.1/dist/jquery.slim.min.js" integrity="sha384-DfXdz2htPH0lsSSs5nCTpuj/zy4C+OGpamoFVy38MVBnE+IbbVYUew+OrCXaRkfj" crossorigin="anonymous"></script>
	<script src="https://cdn.jsdelivr.net/npm/bootstrap@4.6.2/dist/js/bootstrap.bundle.min.js" integrity="sha384-Fy6S3B9q64WdZWQUiU+q4/2Lc9npb8tCaSX9FK7E8HnRr0Jz8D6OP9dO5Vg3Q9ct" crossorigin="anonymous"></script>
</body>
</html>